Bug 739313 - enet is outdated
Summary: enet is outdated
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: enet
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rakesh Pandit
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 799778 800930
TreeView+ depends on / blocked
 
Reported: 2011-09-17 13:31 UTC by MERCIER Jonathan
Modified: 2012-04-14 04:32 UTC (History)
3 users (show)

Fixed In Version: enet-1.3.3-1.fc17
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-04-14 04:32:41 UTC


Attachments (Terms of Use)

Description MERCIER Jonathan 2011-09-17 13:31:23 UTC
hi,
on fedora 16 they are enet 1.2 but latest stable version is 1.3. In more fore another package i need the version 1.3
So can you do an update?

thanks

Comment 1 Rakesh Pandit 2011-09-19 05:49:22 UTC
(In reply to comment #0)
> hi,
> on fedora 16 they are enet 1.2 but latest stable version is 1.3. In more fore
> another package i need the version 1.3
> So can you do an update?
> 
> thanks

I am on vacation till 30th. Don't have resources to do it till then. In case you ping any proven packager and discuss it would be nice.

Make sure discussion takes into consideration the possible consequences of breakage in any dependencies.

Comment 2 MERCIER Jonathan 2011-11-11 23:18:25 UTC
ping

Comment 3 MERCIER Jonathan 2012-01-13 10:12:06 UTC
pong

Comment 4 Rakesh Pandit 2012-01-13 10:22:10 UTC
(In reply to comment #3)
> pong

Give me this week at most. I will push an update.

Comment 5 MERCIER Jonathan 2012-01-16 21:50:24 UTC
great

Comment 6 Martin Erik Werner 2012-03-04 18:55:03 UTC
I am in the process of trying to package the game Red Eclipse for Fedora, which requires Enet 1.3.

It would be great if you could update it in the near future, else I'd be happy to have a stab at updating Enet myself.

Comment 7 Martin Erik Werner 2012-03-04 20:22:20 UTC
It appears trivial to update the Enet package to 1.3.3, however, it looks like egoboo FTBFS:s with new Enet, and I'm not sure how that would be best fixed...

Comment 8 Bruno Wolff III 2012-03-11 14:56:06 UTC
I'll work on this. Since the maintainer thinks the update is OK, I'll start on it now; though I have a request to co-maintain this package pending.

Comment 9 Bruno Wolff III 2012-03-11 15:34:43 UTC
I pushed the changes to the master branch but haven't done a real build yet. I'll hold off a bit until I get close with egoboo, since I don't want egoboo broken in rawhide. I have done a scratch build that may or may not be useful for any testing you want to do.
http://koji.fedoraproject.org/koji/taskinfo?taskID=3881721

Comment 10 Fedora Update System 2012-03-13 02:14:44 UTC
enet-1.3.3-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/enet-1.3.3-1.fc17

Comment 11 Bruno Wolff III 2012-03-13 02:20:32 UTC
I made a build override for f17 so that new builds in f17 will build against enet 1.3.3. Assuming there doesn't turn out to be any problems, I'll leave the override in until enet 1.3.3 is in f17 stable.

Comment 12 Fedora Update System 2012-03-16 02:40:33 UTC
Package egoboo-2.8.1-2.fc17, enet-1.3.3-1.fc17, egoboo-data-2.8.1-2.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing egoboo-2.8.1-2.fc17 enet-1.3.3-1.fc17 egoboo-data-2.8.1-2.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-3795/egoboo-2.8.1-2.fc17,egoboo-data-2.8.1-2.fc17,enet-1.3.3-1.fc17
then log in and leave karma (feedback).

Comment 13 Fedora Update System 2012-03-20 06:06:37 UTC
Package enet-1.3.3-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing enet-1.3.3-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-3795/enet-1.3.3-1.fc17
then log in and leave karma (feedback).

Comment 14 Bruno Wolff III 2012-04-12 03:53:49 UTC
Since sumwars went to stable I'm moving enet 1.3 to stable as well. I'll need to do something with egoboo soon, but probably not this weekend.

Comment 15 Fedora Update System 2012-04-14 04:32:41 UTC
enet-1.3.3-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.